.footer-links {
  color: var(--palette-default-fg-base);
  padding-block: var(--spacing-base-space-1000);
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: flex-start;

  --flow-space: var(--spacing-base-space-700);
  --footer-col-width: 16rem;
}

.footer-links-wrapper .global-inner {
  display: grid;
}

.footer-links-headline-container :is(p) {
  font-size: var(--typography-font-size-headlines-18);
  font-weight: var(--typography-weight-regular);
  line-height: var(--typography-line-height-lh-27);
}

.footer-links-headline-wrapper {
  flex-direction: row;
  align-items: flex-start;
  justify-content: space-between;
  grid-column: 1;
  grid-row: 1;
}

.footer-links-section-list-container {
  grid-column: 3;
}

.footer-links .footer-links-list-container > :not(.footer-links-column-featured) {
  display: flex;
  flex-direction: column;
}

.footer-links-left {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-base-space-1000);
}

.footer-links-wrapper {
  background-color: var(--color-secondary-sand);
}

.footer-links-list-container-p {
  --flow-space: var(--spacing-base-space-300);
}

.footer-links-list-item-container :last-child {
  margin-bottom: 0;
}

.footer-links-list-item-container a {
  color: var(--palette-default-fg-interactive);
}

.footer-links-list-title {
  font-family: var(--body-font-family);
  font-weight: var(--typography-weight-semi-bold);
  font-size: var(--typography-font-size-headlines-18);
  color: var(--footer-top-preheader, #213243);
  line-height: var(--typography-line-height-lh-27);
  margin-block: var(--spacing-base-space-0) var(--spacing-base-space-200);
}

.footer-links-list-item {
  display: inline-flex;
  flex-direction: row;
  align-items: center;

  --flow-space: var(--spacing-base-space-100);

  font-size: var(--typography-font-size-headlines-22);
  color: var(--color-secondary-mgb-blue) !important;
  text-decoration: none;
}

.footer-links-list-item svg {
  width: 24px;
  height: 24px;
  margin-inline-start: var(--spacing-base-space-100);
  margin-bottom: -0.25rem !important;
}

.footer-links-list-item-span {
  white-space: nowrap;
}

.footer-links-column-featured {
  grid-column: 1;
  grid-row: 2;
}

.footer-links-column-featured ul {
  list-style: none;
  margin-block: var(--spacing-base-space-0);
  padding-inline: var(--spacing-base-space-0);
}

.footer-links-list-item-featured {
  font-size: var(--typography-font-size-headlines-28);
  font-weight: var(--typography-weight-regular);
  line-height: var(--typography-line-height-lh-34);
}

.footer-links-group-column .footer-links-list-item-container {
  display: grid;
  grid-template-columns: var(--footer-col-width) var(--footer-col-width);
  gap: var(--spacing-base-space-200) var(--spacing-base-space-800);
  margin-block: var(--spacing-base-space-0);
  padding-inline: var(--spacing-base-space-0);
}

.footer-links-group-column .footer-links-list-container-p {
  margin: 0;
}

.footer-links .footer-links-list-item {
  display: flow;
  font-size: var(--typography-font-size-headlines-22);
  font-weight: var(--typography-weight-regular);
  line-height: var(--typography-line-height-lh-29);
}

/* stylelint-disable-next-line media-feature-range-notation */
@media (max-width: 1440px) {
  .footer-links {
    --footer-col-width: unset;
  }
}

@media (width < 1024px) {
  .footer-links {
    padding: var(--spacing-base-space-500) 0;
    grid-template-columns: none;

    --flow-space: var(--spacing-base-space-500);
  }

  .footer-links.flow {
    justify-content: unset;
  }

  .footer-links-headline-wrapper {
    flex-direction: column;
    row-gap: var(--spacing-base-space-500);
  }

  .footer-links-section-list-container {
    row-gap: var(--spacing-base-space-400);
    grid-column: 1;
  }

  .footer-links-list-title {
    margin-block-end: var(--spacing-base-space-300);
    border-bottom: 1px solid var(--canvas-default-border-static, #213243);
    padding-block: 0.625rem; /* 10px Missing token */
  }

  .footer-links-list-item {
    font-size: var(--typography-font-size-headlines-20);
  }

  .footer-links .footer-links-list-item {
    line-height: var(--typography-line-height-lh-28);
    font-size: var(--typography-font-size-headlines-20);
  }

  .footer-links-column-featured {
    font-size: var(--typography-font-size-headlines-24);
    margin-block-start: var(--spacing-base-space-500);
  }

  .footer-links-list-item-featured {
    font-size: var(--typography-font-size-headlines-24);
    line-height: var(--typography-line-height-lh-29);
  }

  .footer-links-group-column .footer-links-list-item-container {
    grid-template-columns: none;
  }

  .footer-links-brand svg {
    width: 21.5rem;
    max-width: 100%;
  }

  .footer-links-left {
    gap: 0;
  }
}
